import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  jobName: SortOrderSchema.optional(),
  status: SortOrderSchema.optional(),
  startedAt: SortOrderSchema.optional(),
  completedAt: SortOrderSchema.optional(),
  durationMs: SortOrderSchema.optional(),
  errorMessage: SortOrderSchema.optional()
}).strict();
export const CronJobLogMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CronJobLogMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CronJobLogMaxOrderByAggregateInput>;
export const CronJobLogMaxOrderByAggregateInputObjectZodSchema = makeSchema();
